t=int(input())
n,m=map(int,input().split())
A=list(map(int,input().split()))
s=input()
if m%2==0:
    print("No")
else:
    print("Yes")
    if t>1:
        print(m//2+1)
    if t>2:
        print(1)
        print(m//2,m//2+1)
